Subject: Re: bug#76505: 31.0.50; igc: M-x project-compile is slow

From: Michael Albinus <[email-masked]>
Date: Tue, 25 Feb 2025 10:14:35 +0100

Pip Cet via "Bug reports for GNU Emacs, the Swiss army knife of text
editors" <[email-masked]> writes:

Hi,

> I suspect the problem is indeed in the file notification code.  I recall
> I ended up turning off auto-revert because it broke some scenarios too
> badly, but it'd be nice to figure out what's going on there and fix it
> properly.

There is a new macro 'inhibit-auto-revert'. If there are some critical
operations, which could trigger heavy auto-revert actions, they can by
wrapped by this macro.

> Pip

Best regards, Michael.